Google Url Shortener
====================

Gem for simply using Google's URL shortening service.

Installation
------------

	gem install googleurlshortener
	
Usage
-----

There are two ways to use the shortener

1) Default (unauthenticated)

	shortener = Googleurlshortener::Default.new
	short_url = shortener.shorten("https://github.com/mkraft/GoogleAPIs")

2) Authenticated

	authd_shortener = Googleurlshortener::Authenticated.new("someemail@gmail.com", "somepassword")
	short_url = authd_shortener.shorten("https://github.com/mkraft/GoogleAPIs")
	
If you're authenticated you can use all of the normal methods and also get analytics about URL's you have shortened.

	analytics_object = authd_shortener.analytics(short_url)
	
Methods
-------

Assuming a Googleurlshortener instance named `s`, one can do the following

- `s.shorten(long_url)`
- `s.expand(short_url)`
- `s.analytics(short_url)` (Authenticated only) Returns an object, in the structure of the JSON object sent by Google, with a bunch of analytics data such as number of clicks.

Additional Documentation
------------------------

[RubyGems rubydocs](http://rubydoc.info/gems/googleurlshortener)

License
-------

Copyright (C) 2011 Martin Kraft

Permission is hereby granted, free of charge, to any person obtaining a copy of
this software and associated documentation files (the "Software"), to deal in
the Software without restriction, including without limitation the rights to
use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
of the Software, and to permit persons to whom the Software is furnished to do
so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.