require 'test/unit'
require_relative '../lib/googleurlshortener'

module GoogleUrlShortener
  class TestUrlShortener < Test::Unit::TestCase
  
    def test_shorten_a_url
      url_shortener = Googleurlshortener::Default.new
      long_url = "https://github.com/mkraft/GoogleAPIs"
      short_url = url_shortener.shorten(long_url)
      assert long_url.size > short_url.size
    end
  
    def test_expand_a_url
      url_shortener = Googleurlshortener::Default.new
      short_url = "http://goo.gl/cQJ6o"
      long_url = url_shortener.expand(short_url)
      assert long_url.size > short_url.size
    end
    
    def test_get_analytics_object
      url_shortener = Googleurlshortener::Authenticated.new("apitest33@gmail.com", "ruhak23A")
      short_url = "http://goo.gl/cQJ6o"
      analytics = url_shortener.analytics(short_url)
      assert analytics["kind"] == "urlshortener#url"
    end
  
  end
end